BLAS/SRC/sswap.f(3)

NAME
BLAS/SRC/sswap.f

SYNOPSIS

  Functions/Subroutines
subroutine sswap (n, sx, incx, sy, incy)
SSWAP

Function/Subroutine Documentation

  subroutine sswap (integer n, real, dimension(*) sx, integer incx, real, dimension(*) sy, integer incy)

SSWAP

Purpose:

    !>
    !>    SSWAP interchanges two vectors.
    !>    uses unrolled loops for increments equal to 1.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    SX

    !>          SX is REAL array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of SX
    !>

    SY

    !>          SY is REAL array, dimension ( 1 + ( N - 1 )*abs( INCY ) )
    !>

    INCY

    !>          INCY is INTEGER
    !>         storage spacing between elements of SY
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack, 3/11/78.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 81 of file sswap.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.